Bug 742813

Summary: bacula using the client locale for database records, not an locale independent format
Product: [Fedora] Fedora Reporter: Thomas Schweikle <tschweikle>
Component: baculaAssignee: Simone Caronni <negativo17>
Status: CLOSED WONTFIX QA Contact: Fedora Extras Quality Assurance <extras-qa>
Severity: unspecified Docs Contact:
Priority: unspecified    
Version: 15CC: andreas, dnovotny, fedora, fschwarz, hhorak, limburgher, lnykryn, mmcgrath, negativo17, vanmeeuwen+fedora
Target Milestone: ---   
Target Release: ---   
Hardware: Unspecified   
OS: Unspecified   
Whiteboard:
Fixed In Version: Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of: Environment:
Last Closed: 2012-08-07 13:28:55 EDT Type: ---
Regression: --- Mount Type: ---
Documentation: --- CRM:
Verified Versions: Category: ---
oVirt Team: --- RHEL 7.3 requirements from Atomic Host:

Description Thomas Schweikle 2011-10-02 19:45:36 EDT
Description of problem:



Version-Release number of selected component (if applicable):
Fedora 15:
bacula-common-5.0.3-9.fc15.x86_64
bacula-client-5.0.3-9.fc15.x86_64

Fedora 16:
bacula-client-5.0.3-11.fc16.x86_64
bacula-common-5.0.3-11.fc16.x86_64

Fedora Rawhide:
bacula-client-5.0.3-11.fc17.x86_64
bacula-common-5.0.3-11.fc17.x86_64

How reproducible:
Always.

Steps to Reproduce:
1. Install Fedora, select an other default language than en_US, ex. de_DE.
2. Start bacula-client, wait for the first job done
3. list your first backup jobs: "echo status client=<name> | bconsole"
  
Actual results:
Terminated jobs are stored in the database with the date and time given by the locale:
Fedora 15 (locale set to de_DE.UTF-8):
# echo 'status client=tola-fd' | bconsole
Connecting to Director bacula.xompu.de:9101
1000 OK: bacula-dir Version: 5.0.3 (04 August 2010)
Enter a period to cancel a command.
status client=tola-fd
Connecting to Client tola-fd at tola.xompu.de:9102

tola-fd Version: 5.0.3 (04 August 2010)  x86_64-redhat-linux-gnu redhat 
Daemon started 02-Okt-11 12:56. Jobs: run=1 running=0.
 Heap: heap=135,168 smbytes=86,782 max_bytes=6,840,734 bufs=75 max_bufs=172
 Sizeof: boffset_t=8 size_t=8 debug=0 trace=0

Running Jobs:
Director connected at: 03-Okt-11 01:33
No Jobs running.
====

Terminated Jobs:
 JobId  Level    Files      Bytes   Status   Finished        Name 
======================================================================
  6616  Incr         75    96.20 M  OK       24-Sep-11 01:07 tola
  6658  Diff     13,392    346.4 M  OK       25-Sep-11 01:13 tola
  6700  Incr         78    29.82 M  OK       26-Sep-11 01:06 tola
  6742  Incr      1,566    163.3 M  OK       27-Sep-11 01:06 tola
  6784  Incr      2,693    186.7 M  OK       28-Sep-11 01:06 tola
  6826  Incr         62    24.10 M  OK       29-Sep-11 01:06 tola
  6868  Incr      1,335    157.6 M  OK       30-Sep-11 01:06 tola
  6910  Incr      1,267    159.6 M  OK       01-Okt-11 01:06 tola
  6952  Full     34,065    1.125 G  OK       02-Okt-11 01:21 tola
  6994  Incr        105    49.11 M  OK       03-Okt-11 01:07 tola

Fedora 16 (locale set to de_DE.UTF-8):
# echo 'status client=tram-fd' | bconsole
Connecting to Director bacula.xompu.de:9101
1000 OK: bacula-dir Version: 5.0.3 (04 August 2010)
Enter a period to cancel a command.
status client=tram-fd
Connecting to Client tram-fd at tram.xompu.de:9102

tram-fd Version: 5.0.3 (04 August 2010)  x86_64-redhat-linux-gnu redhat 
Daemon started 02-Okt-11 12:56. Jobs: run=1 running=0.
 Heap: heap=135,168 smbytes=86,800 max_bytes=6,844,045 bufs=75 max_bufs=183
 Sizeof: boffset_t=8 size_t=8 debug=0 trace=0

Running Jobs:
Director connected at: 03-Okt-11 01:34
No Jobs running.
====

Terminated Jobs:
 JobId  Level    Files      Bytes   Status   Finished        Name 
======================================================================
  6617  Incr         78    157.1 M  OK       24-Sep-11 01:08 tram
  6659  Diff     21,409    750.4 M  OK       25-Sep-11 01:15 tram
  6701  Incr         79    21.23 M  OK       26-Sep-11 01:06 tram
  6743  Incr      2,976    223.4 M  OK       27-Sep-11 01:07 tram
  6785  Incr      1,885    229.3 M  OK       28-Sep-11 01:06 tram
  6827  Incr         60    768.7 K  OK       29-Sep-11 01:06 tram
  6869  Incr      8,134    315.0 M  OK       30-Sep-11 01:06 tram
  6911  Incr      1,675    174.6 M  OK       01-Okt-11 01:07 tram
  6953  Full     34,668    1.353 G  OK       02-Okt-11 01:24 tram
  6995  Incr      1,329    72.70 M  OK       03-Okt-11 01:07 tram

Fedora Rawhide (locale set to de_DE.UTF-8):
# echo 'status client=phai-fd' | bconsole
Connecting to Director bacula.xompu.de:9101
1000 OK: bacula-dir Version: 5.0.3 (04 August 2010)
Enter a period to cancel a command.
status client=phai-fd
Connecting to Client phai-fd at phai.xompu.de:9102

phai-fd Version: 5.0.3 (04 August 2010)  x86_64-redhat-linux-gnu redhat 
Daemon started 02-Okt-11 13:05. Jobs: run=1 running=0.
 Heap: heap=135,168 smbytes=86,800 max_bytes=7,842,542 bufs=75 max_bufs=176
 Sizeof: boffset_t=8 size_t=8 debug=0 trace=0

Running Jobs:
Director connected at: 03-Okt-11 01:35
No Jobs running.
====

Terminated Jobs:
 JobId  Level    Files      Bytes   Status   Finished        Name 
======================================================================
  6615  Incr     14,398    587.5 M  OK       24-Sep-11 01:07 phai
  6657  Diff     34,255    969.6 M  OK       25-Sep-11 01:12 phai
  6699  Incr         82    136.9 M  OK       26-Sep-11 01:06 phai
  6741  Incr      2,179    403.3 M  OK       27-Sep-11 01:06 phai
  6783  Incr         66    136.6 M  OK       28-Sep-11 01:06 phai
  6825  Incr      4,806    380.3 M  OK       29-Sep-11 01:06 phai
  6867  Incr      2,103    335.4 M  OK       30-Sep-11 01:06 phai
  6909  Incr      7,148    679.6 M  OK       01-Okt-11 01:06 phai
  6951  Full     35,203    1.588 G  OK       02-Okt-11 01:19 phai
  6993  Incr      1,161    161.7 M  OK       03-Okt-11 01:07 phai

And an other system using locale en_US.UTF-8:
# echo 'status client=afs-fd' | bconsole
Connecting to Director bacula.xompu.de:9101
1000 OK: bacula-dir Version: 5.0.3 (04 August 2010)
Enter a period to cancel a command.
status client=afs-fd
Connecting to Client afs-fd at 192.168.180.47:9102

afs-fd Version: 5.0.1 (24 February 2010)  x86_64-pc-linux-gnu ubuntu 10.04
Daemon started 01-Oct-11 00:20, 2 Jobs run since started.
 Heap: heap=1,581,056 smbytes=12,873 max_bytes=31,732,133 bufs=56 max_bufs=455
 Sizeof: boffset_t=8 size_t=8 debug=0 trace=0

Running Jobs:
Director connected at: 03-Oct-11 01:36
No Jobs running.
====

Terminated Jobs:
 JobId  Level    Files      Bytes   Status   Finished        Name 
======================================================================
  6556  Incr        207    96.43 M  OK       23-Sep-11 02:13 afs
  6598  Incr      4,554    222.6 M  OK       24-Sep-11 02:14 afs
  6640  Diff      6,879    241.0 M  OK       25-Sep-11 04:32 afs
  6682  Incr        214    4.840 M  OK       26-Sep-11 01:56 afs
  6724  Incr        199    98.48 M  OK       27-Sep-11 02:05 afs
  6766  Incr        206    100.7 M  OK       28-Sep-11 02:49 afs
  6808  Incr        187    60.37 M  OK       29-Sep-11 04:17 afs
  6850  Incr        211    100.8 M  OK       30-Sep-11 02:20 afs
  6892  Incr    103,858    234.1 M  OK       01-Oct-11 02:15 afs
  6934  Full    109,624    1.757 G  OK       02-Oct-11 07:51 afs


Expected results:
Date and time stored in an format independend of the locale used on the client, using the locale given on the system running bconsole.


Additional info:
It doesn't matter which locale is set on the querying system:
# echo 'status client=tola-fd' | LANG=en_US.UTF-8 bconsole
Connecting to Director bacula.xompu.de:9101
1000 OK: bacula-dir Version: 5.0.3 (04 August 2010)
Enter a period to cancel a command.
status client=tola-fd
Connecting to Client tola-fd at tola.xompu.de:9102

tola-fd Version: 5.0.3 (04 August 2010)  x86_64-redhat-linux-gnu redhat 
Daemon started 02-Okt-11 12:56. Jobs: run=1 running=0.
 Heap: heap=135,168 smbytes=86,782 max_bytes=6,840,734 bufs=75 max_bufs=172
 Sizeof: boffset_t=8 size_t=8 debug=0 trace=0

Running Jobs:
Director connected at: 03-Okt-11 01:41
No Jobs running.
====

Terminated Jobs:
 JobId  Level    Files      Bytes   Status   Finished        Name 
======================================================================
  6616  Incr         75    96.20 M  OK       24-Sep-11 01:07 tola
  6658  Diff     13,392    346.4 M  OK       25-Sep-11 01:13 tola
  6700  Incr         78    29.82 M  OK       26-Sep-11 01:06 tola
  6742  Incr      1,566    163.3 M  OK       27-Sep-11 01:06 tola
  6784  Incr      2,693    186.7 M  OK       28-Sep-11 01:06 tola
  6826  Incr         62    24.10 M  OK       29-Sep-11 01:06 tola
  6868  Incr      1,335    157.6 M  OK       30-Sep-11 01:06 tola
  6910  Incr      1,267    159.6 M  OK       01-Okt-11 01:06 tola
  6952  Full     34,065    1.125 G  OK       02-Okt-11 01:21 tola
  6994  Incr        105    49.11 M  OK       03-Okt-11 01:07 tola

# echo 'status client=tola-fd' | LANG=fr_FR.UTF-8 bconsole
Connecting to Director bacula.xompu.de:9101
1000 OK: bacula-dir Version: 5.0.3 (04 August 2010)
Enter a period to cancel a command.
status client=tola-fd
Connecting to Client tola-fd at tola.xompu.de:9102

tola-fd Version: 5.0.3 (04 August 2010)  x86_64-redhat-linux-gnu redhat 
Daemon started 02-Okt-11 12:56. Jobs: run=1 running=0.
 Heap: heap=135,168 smbytes=86,782 max_bytes=6,840,734 bufs=75 max_bufs=172
 Sizeof: boffset_t=8 size_t=8 debug=0 trace=0

Running Jobs:
Director connected at: 03-Okt-11 01:41
No Jobs running.
====

Terminated Jobs:
 JobId  Level    Files      Bytes   Status   Finished        Name 
======================================================================
  6616  Incr         75    96.20 M  OK       24-Sep-11 01:07 tola
  6658  Diff     13,392    346.4 M  OK       25-Sep-11 01:13 tola
  6700  Incr         78    29.82 M  OK       26-Sep-11 01:06 tola
  6742  Incr      1,566    163.3 M  OK       27-Sep-11 01:06 tola
  6784  Incr      2,693    186.7 M  OK       28-Sep-11 01:06 tola
  6826  Incr         62    24.10 M  OK       29-Sep-11 01:06 tola
  6868  Incr      1,335    157.6 M  OK       30-Sep-11 01:06 tola
  6910  Incr      1,267    159.6 M  OK       01-Okt-11 01:06 tola
  6952  Full     34,065    1.125 G  OK       02-Okt-11 01:21 tola
  6994  Incr        105    49.11 M  OK       03-Okt-11 01:07 tola

The client queried uses de_DE.UTF-8 and this is the language used for all database entries --- independent of what the client bconsole is running uses.
Comment 1 Thomas Schweikle 2011-10-02 19:49:35 EDT
This bug breaks various tools reporting and monitoring bacula (for example: check_bacula and check_bacula_client (both running on the monitoring server, using bconsole)). And some web administration tools too.
Comment 2 Simone Caronni 2012-07-18 05:34:29 EDT
Hello,

I'm doing some housekeeping in Bacula bugs, can you confirm the problem is still relevant with the latest packages in one of f16, f17 or rawhide?

Thanks,
--Simone
Comment 3 Fedora End Of Life 2012-08-07 13:28:58 EDT
This message is a notice that Fedora 15 is now at end of life. Fedora
has stopped maintaining and issuing updates for Fedora 15. It is
Fedora's policy to close all bug reports from releases that are no
longer maintained. At this time, all open bugs with a Fedora 'version'
of '15' have been closed as WONTFIX.

(Please note: Our normal process is to give advanced warning of this
occurring, but we forgot to do that. A thousand apologies.)

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, feel free to reopen
this bug and simply change the 'version' to a later Fedora version.

Bug Reporter: Thank you for reporting this issue and we are sorry that
we were unable to fix it before Fedora 15 reached end of life. If you
would still like to see this bug fixed and are able to reproduce it
against a later version of Fedora, you are encouraged to click on
"Clone This Bug" (top right of this page) and open it against that
version of Fedora.

Although we aim to fix as many bugs as possible during every release's
lifetime, sometimes those efforts are overtaken by events. Often a
more recent Fedora release includes newer upstream software that fixes
bugs or makes them obsolete.

The process we are following is described here:
http://fedoraproject.org/wiki/BugZappers/HouseKeeping